apiVersion: v1
kind: Service
metadata:
  name: rancher-tailscale
  namespace: cattle-system
  annotations:
    tailscale.com/hostname: rancher
    tailscale.com/tags: "tag:prod,tag:rancher"
    tailscale.com/proxy-class: infra-stable
spec:
  type: LoadBalancer
  loadBalancerClass: tailscale
  selector:
    app: cattle-system-rancher
  ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 80
    - name: https
      port: 443
      protocol: TCP
      targetPort: 443
